package probe

import (
	crr "git.loafle.net/commons_go/rpc/registry"
	oogwc "git.loafle.net/overflow/overflow_gateway_websocket/client"
)

func New(rpcInvoker crr.RPCInvoker) oogwc.Client {
	ch := newClientHandler(rpcInvoker)
	sb := newSocketBuilder()
	return oogwc.New(ch, sb)
}
